Subject: bug#44452: Clash between guile-3.0 and guile-3.0-latest

From: divoplade <[email-masked]>
Date: Wed, 02 Dec 2020 12:48:38 +0100

Le mercredi 02 décembre 2020 à 12:11 +0100, zimoun a écrit :
> Said explicitly, if you do not want in your profile the package X
> belonging to %base-packages , do not add the %base-packages list. :-) 
> Or
> create your custom list (remove the ones you do not want). I do not
> see
> what could done on this side.  The list %base-packages is 40 packages
> considered as “kind of minimal” to be able to do minimal stuff.

I would disagree on that, it contains guile 3.0.4 instead of 3.0.2.
3.0.4 is not used, and prevents the other guile packages that require
3.0.2. If it contained 3.0.2 instead, I would 100% agree with what you
said there.

But it is fixed in core-updates, so we just need to wait for core-
updates to be merged.